Bug 2378 - Arrow keys in menu affect movement of selected obj
Arrow keys in menu affect movement of selected obj
Status: CLOSED FIXED
Product: electric
Classification: Unclassified
Component: GUI:General
1
PC Linux
: P1 critical
: ---
Assigned To: developers
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 06:17 UTC by strubin
Modified: 2011-04-15 20:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description strubin 2011-04-15 06:17:51 UTC
** ORIGINALLY POSTED BY Frankie Liu on 2009-05-18 15:10:00 **

Select a node, go into a menu with alt-key combination (not with mouse),
example alt-f, then use arrow keys to move up and down menu selection,
the node selected will also move ...
Comment 1 strubin 2011-04-15 16:49:27 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-05-18 15:26:30 **

Frankie

Please demo this case to me

Gilda
Comment 2 strubin 2011-04-15 16:49:29 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-05-18 17:05:23 **

It seems the changes done for Bug #1450[java.net Bug #1641] are causing this problem. I don't know how to detect when Alt-<Menu> has been called to avoid the overlap with Up/Down in the Edit -> Move menu.
Comment 3 strubin 2011-04-15 16:49:33 UTC
** ORIGINALLY POSTED BY Steven Rubin on 2009-05-19 11:06:51 **

Key handler now ignores keys if there is a popup-menu visible.
Comment 4 strubin 2011-04-15 16:49:36 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-05-29 12:05:05 **

Undoing changes until we find the reason for problem reported in Bug#2196.
Comment 5 strubin 2011-04-15 16:49:38 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-05-29 16:06:34 **

Closing it again after Bug 2196[java.net Bug #2387] was invalidated. Code was restored and actually was not the reason for that issue in 2196
Comment 6 strubin 2011-04-15 16:49:41 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-06-05 16:50:48 **

Released in v8.09k and assuming Frankie tested it by now. Closing now.